Skip to content

getBatchProperties

READ

Get batch properties.

POST /api/v1/inventory/getBatchProperties
curl -X POST '<your-host>/api/v1/inventory/getBatchProperties' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "itemIds": []
  }'
Response
{
  "results": [
    {
      "companyId": "string",
      "createdAt": "string",
      "createdBy": "string",
      "dataType": "boolean",
      "id": "string",
      "itemId": "string",
      "label": "string",
      "listOptions": [
        "string"
      ],
      "sortOrder": 0,
      "updatedAt": "string",
      "updatedBy": "string"
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "itemIds": {
      "type": "array",
      "items": {
        "type": "string"
      }
    }
  },
  "required": [
    "itemIds"
  ]
}